--
-- Database: `wpg`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_adsettings`
--
use wpg

DROP TABLE IF EXISTS `UserLoggedIn`;

CREATE TABLE IF NOT EXISTS  `UserLoggedIn` (  
`UserLoggedID` int(10) unsigned NOT NULL auto_increment,  
`UserName` varchar(45) NOT NULL default '',  
`Location` varchar(50) NOT NULL default '', 
`ProcessDateTime` datetime NOT NULL default '0000-00-00 00:00:00', 
`Success` int(1) NOT NULL default 0,   
PRIMARY KEY  (`UserLoggedID`)) ENGINE=MYISAM DEFAULT CHARSET=utf8 COMMENT='This table will have active User list';


CREATE TABLE IF NOT EXISTS `tbl_adsettings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `activate_presentation_mode` tinyint(4) NOT NULL,
  `authentication_mode` tinyint(4) NOT NULL,
  `active_dir_domain` varchar(100) NOT NULL,
  `is_GroupOu_based` int(11) NOT NULL,
  `moderator` varchar(100) NOT NULL,
  `participant` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MYISAM DEFAULT CHARSET=utf8 ; 

-- --------------------------------------------------------

--
-- Table structure for table `tbl_autoupdate_selected`
--

CREATE TABLE IF NOT EXISTS `tbl_autoupdate_selected` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `AUpdID_FK` int(11) NOT NULL,
  `device_ip` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
)  ENGINE=MYISAM DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_clients_features`
--
DROP TABLE IF EXISTS `tbl_clients_features`;
CREATE TABLE IF NOT EXISTS `tbl_clients_features` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `feature_name` varchar(100) NOT NULL,
  `feature_btn_name` varchar(100) NOT NULL,
  `feature_status` tinyint(4) NOT NULL DEFAULT '1',
  `date_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=13 ;

--


-- --------------------------------------------------------

--
-- Table structure for table `tbl_client_features_position`
--

CREATE TABLE IF NOT EXISTS `tbl_client_features_position` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `client_feature_fk` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MYISAM DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_device_mapping`
--

CREATE TABLE IF NOT EXISTS `tbl_device_mapping` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `device_id_fk` int(11) NOT NULL,
  `mode` tinyint(5) NOT NULL,
  `status` tinyint(5) NOT NULL,
  PRIMARY KEY (`id`)
)  ENGINE=MYISAM DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_feature_client_temp`
--

CREATE TABLE IF NOT EXISTS `tbl_feature_client_temp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `feature_deleted_id` int(11) NOT NULL,
  `delete_flag` int(11) NOT NULL,
  PRIMARY KEY (`id`)
); 

-- --------------------------------------------------------

--
-- Table structure for table `tbl_feature_temp`
--

CREATE TABLE IF NOT EXISTS `tbl_feature_temp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `feature_deleted_id` int(11) NOT NULL,
  `delete_flag` int(11) NOT NULL,
  PRIMARY KEY (`id`)
)  ENGINE=MYISAM DEFAULT CHARSET=utf8 ; 

-- --------------------------------------------------------

--
-- Table structure for table `tbl_gateway_features`
--

DROP TABLE IF EXISTS `tbl_gateway_features`;
CREATE TABLE IF NOT EXISTS `tbl_gateway_features` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `feature_name` varchar(100) NOT NULL,
  `feature_btn_name` varchar(100) NOT NULL,
  `feature_status` tinyint(4) NOT NULL DEFAULT '1',
  `date_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ;

--
-- Dumping data for table `tbl_gateway_features`
--

--
-- Table structure for table `tbl_gateway_features_position`
--

CREATE TABLE IF NOT EXISTS `tbl_gateway_features_position` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gateway_feature_fk` int(11) NOT NULL,
  PRIMARY KEY (`id`)
)  ENGINE=MYISAM DEFAULT CHARSET=utf8 ; 

-- --------------------------------------------------------

--
-- Table structure for table `tbl_wallpaper`
--

CREATE TABLE IF NOT EXISTS `tbl_wallpaper` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wallp_name` varchar(100) DEFAULT NULL,
  `wallp_created_by` tinyint(5) DEFAULT NULL,
  `wallp_is_active` tinyint(5) DEFAULT '0',
  PRIMARY KEY (`id`)
)  ENGINE=MYISAM DEFAULT CHARSET=utf8; 

truncate table `tbl_clients_features`;

INSERT INTO `tbl_clients_features` (`id`, `feature_name`, `feature_btn_name`, `feature_status`, `date_time`) VALUES
(1, 'MultiMedia', 'B7', 1, '2015-02-06 17:25:55'),
(2, 'Cloud', 'B3', 1, '2015-02-06 17:25:55'),
(3, 'DisplayControl', 'B10', 1, '2015-02-06 17:25:55'),
(4, 'WHITEBOARD', 'B8', 1, '2015-02-06 17:25:55'),
(5, 'FileTransfer', 'B6', 1, '2015-02-06 17:25:55'),
(6, 'Startcollaboration', 'B5', 1, '2015-02-06 17:25:55'),
(7, 'Chat', 'B2', 1, '2015-02-06 17:25:55');

truncate table `tbl_gateway_features`;

INSERT INTO `tbl_gateway_features` (`id`, `feature_name`, `feature_btn_name`, `feature_status`, `date_time`) VALUES
(1, 'Cloud', 'B3', 1, '2015-02-06 17:25:45'),
(2, 'Shutdown', 'B21', 1, '2015-02-06 17:25:45'),
(3, 'Reboot', 'B22', 1, '2015-02-06 17:25:45'),
(4, 'SETTINGS', 'B23', 1, '2015-02-06 17:25:45');


ALTER TABLE `gatewayversion` ADD `deviceID_Fk` INT( 11 ) NOT NULL AFTER `GID`; 
ALTER TABLE `AutoUpdateDone` ADD `deviceID_Fk` INT( 11 ) NOT NULL AFTER `AupdID`;

